Bug 132902 - [maintainer-update] security/klamav: Upgrade to 0.46
Summary: [maintainer-update] security/klamav: Upgrade to 0.46
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-21 13:50 UTC by Anderson S. Ferreira
Modified: 2009-03-22 20:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anderson S. Ferreira 2009-03-21 13:50:00 UTC
Klamav upgrade from 0.44 to 0.48

This release includes the following features:

- Compatibility for the upcoming ClamAV 0.95
- Add new iconset
- Ukrainian translation
- Many other bug fixes

Fix: 

---
Aviso de confidencialidade:

Esta mensagem da Empresa Brasileira de Pesquisa Agropecuária (Embrapa), 
empresa pública federal regida pelo disposto na Lei Federal nº 5.851, 
de 7 de dezembro de 1972, é enviada exclusivamente a seu destinatário 
e pode conter informações confidenciais, protegidas por sigilo profissional. 
Sua utilização desautorizada é ilegal e sujeita o infrator às penas da lei. 
Se você a recebeu indevidamente, queira, por gentileza, reenviá-la ao emitente, 
esclarecendo o equívoco.

Confidentiality note:

This message from Empresa Brasileira de Pesquisa Agropecuária (Embrapa), 
a government company established under Brazilian law (5.851/72), 
is directed exclusively to its addressee and may contain confidential data, 
protected under professional secrecy rules. Its unauthorized use is illegal 
and may subject the transgressor to the law's penalties. 
If you are not the addressee, please send it back, elucidating the failure.--v1qfN0atOz1GcY5IJkYMKNuWIimLmmBtTey3VrHzYr16AXq7
Content-Type: text/plain; name="klamav.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="klamav.patch"

diff -Nru klamav.old/Makefile klamav/Makefile
--- klamav.old/Makefile	2009-01-09 07:57:11.000000000 -0200
+++ klamav/Makefile	2009-03-21 09:28:42.000000000 -0300
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	klamav
-PORTVERSION=	0.44
-PORTREVISION=	1
+PORTVERSION=	0.46
 CATEGORIES=	security
 MASTER_SITES=	SF
 DISTNAME=	${PORTNAME}-${PORTVERSION}-source
@@ -15,7 +14,7 @@
 MAINTAINER=	anderson@cnpm.embrapa.br
 COMMENT=	A KDE 3 front-end to Clam Anti-Virus
 
-LIB_DEPENDS=	clamav.5:${PORTSDIR}/security/clamav
+LIB_DEPENDS=	clamav:${PORTSDIR}/security/clamav
 
 WRKSRC=		${WRKDIR}/${DISTNAME}/${PORTNAME}-${PORTVERSION}
 
diff -Nru klamav.old/distinfo klamav/distinfo
--- klamav.old/distinfo	2008-07-21 22:44:20.000000000 -0300
+++ klamav/distinfo	2009-03-21 09:59:20.000000000 -0300
@@ -1,3 +1,4 @@
-SHA256 (klamav-0.44-source.tar.gz) = 6427bd94b33ff23d78c5edd3ef6340229d1478ee683b92b9171487f3e4f8fc6a
-MD5 (klamav-0.44-source.tar.gz) = 1e5caa994677b8e82819d6340abde97f
-SIZE (klamav-0.44-source.tar.gz) = 2029215
+SIZE (klamav-0.46-source.tar.gz) = 2058031
+MD5 (klamav-0.46-source.tar.gz) = e3669d312998ae50bfb14a26a08aa6e4
+SHA256 (klamav-0.46-source.tar.gz) = b39b3c8df613272e2dc5120d409d947f1250262318fc659efd4b93a8a3f90079
+
diff -Nru klamav.old/files/patch-po klamav/files/patch-po
--- klamav.old/files/patch-po	2008-05-10 04:40:22.000000000 -0300
+++ klamav/files/patch-po	2009-03-21 09:57:00.000000000 -0300
@@ -153,3 +153,20 @@
  "o'. Daha sonra yetkili kullanıcı Åifresi sorulacak."
  
  #: klamd.cpp:734 klamd.cpp:735
+--- po/uk.po.orig	2009-03-21 09:54:35.000000000 -0300
++++ po/uk.po	2009-03-21 09:55:24.000000000 -0300
+@@ -999,12 +999,12 @@
+ "I need to load a module called 'dazuko' first. This module will allow KlamAV "
+ "to gain real-time access to files. If you don't want this message to appear "
+ "in future, put the following command in your initialization scripts: "
+-"'modprobe dazuko.o'. You will next be asked for the root password."
++"'kldload dazuko.ko'. You will next be asked for the root password."
+ msgstr ""
+ "СпеÑÑÑ Ð¿Ð¾ÑÑÑбно заванÑажиÑи модÑлÑ, Ñо Ð¼Ð°Ñ Ð½Ð°Ð·Ð²Ñ 'dazuko'. Цей модÑÐ»Ñ "
+ "дозволиÑÑ KlamAV оÑÑимаÑи доÑÑÑп до ÑайлÑв Ñ ÑеалÑÐ½Ð¾Ð¼Ñ ÑаÑÑ. ЯкÑо Ðи не "
+ "бажаÑÑе поÑви ÑÑого повÑÐ´Ð¾Ð¼Ð»ÐµÐ½Ð½Ñ Ð´Ð°Ð»Ñ, додайÑе ÑÐ°ÐºÑ ÐºÐ¾Ð¼Ð°Ð½Ð´Ñ Ð´Ð¾ ÐаÑÐ¸Ñ "
+-"поÑаÑковий ÑкÑипÑÑв: 'modprobe dazuko.o'. ÐаÑаз Ðам поÑÑÑбно бÑде ввеÑÑи "
++"поÑаÑковий ÑкÑипÑÑв: 'kldload dazuko.ko'. ÐаÑаз Ðам поÑÑÑбно бÑде ввеÑÑи "
+ "паÑÐ¾Ð»Ñ Ð°Ð´Ð¼ÑнÑÑÑÑаÑоÑа."
+ 
+ #: klamd.cpp:734 klamd.cpp:735
diff -Nru klamav.old/files/patch-src_klammail_clamdmail.c klamav/files/patch-src_klammail_clamdmail.c
--- klamav.old/files/patch-src_klammail_clamdmail.c	2008-09-16 09:11:43.000000000 -0300
+++ klamav/files/patch-src_klammail_clamdmail.c	1969-12-31 21:00:00.000000000 -0300
@@ -1,11 +0,0 @@
---- src/klammail/clamdmail.c.orig	2008-09-16 08:46:48.000000000 -0300
-+++ src/klammail/clamdmail.c	2008-09-16 08:47:25.000000000 -0300
-@@ -160,7 +160,7 @@
-                 if(fsync(fd) == -1) {
- //                         cli_dbgmsg("fsync() failed for descriptor %d\n", fd);
-                         close(fd);
--                        return CL_EFSYNC;
-+                        return CL_EIO;
-                 }
- 
-                 close(fd);
diff -Nru klamav.old/pkg-plist klamav/pkg-plist
--- klamav.old/pkg-plist	2008-07-21 22:44:20.000000000 -0300
+++ klamav/pkg-plist	2009-03-21 09:51:48.000000000 -0300
@@ -4,6 +4,7 @@
 %%DOCSDIR%%/index.docbook
 %%DOCSDIR%%/index.cache.bz2
 %%DOCSDIR%%/common
+share/locale/uk/LC_MESSAGES/klamav.mo
 share/locale/de/LC_MESSAGES/klamav.mo
 share/locale/cs/LC_MESSAGES/klamav.mo
 share/locale/hu/LC_MESSAGES/klamav.mo
@@ -21,31 +22,19 @@
 share/apps/konqueror/servicemenus/klamav-dropdown.desktop
 share/apps/klamav/klamavui.rc
 share/config.kcfg/klamavconfig.kcfg
-share/icons/locolor/32x32/apps/klamav.png
-share/icons/locolor/32x32/actions/klamav.png
-share/icons/locolor/16x16/apps/klamav.png
 share/icons/hicolor/48x48/apps/klamav.png
 share/icons/hicolor/32x32/apps/klamav.png
-share/icons/hicolor/22x22/actions/klamav.png
-share/icons/hicolor/32x32/actions/klamav.png
-share/icons/locolor/16x16/actions/klamav.png
-share/apps/klamav/icons/locolor/32x32/apps/klamav.png
-share/apps/klamav/icons/hicolor/32x32/actions/klamavbw.png
-share/apps/klamav/icons/hicolor/32x32/actions/klamavdl.png
-share/apps/klamav/icons/hicolor/32x32/actions/klamavbwdl.png
-share/apps/klamav/icons/hicolor/32x32/apps/klamavbw.png
-share/apps/klamav/icons/hicolor/32x32/apps/klamavdl.png
-share/apps/klamav/icons/hicolor/22x22/actions/klamavbwdl.png
-share/apps/klamav/icons/locolor/32x32/actions/klamav.png
-share/apps/klamav/icons/hicolor/32x32/apps/klamavbwdl.png
-share/apps/klamav/icons/locolor/16x16/apps/klamav.png
-share/apps/klamav/icons/hicolor/48x48/apps/klamav.png
 share/apps/klamav/icons/hicolor/32x32/apps/klamav.png
-share/apps/klamav/icons/hicolor/22x22/actions/klamavbw.png
-share/apps/klamav/icons/hicolor/22x22/actions/klamav.png
-share/apps/klamav/icons/hicolor/22x22/actions/klamavdl.png
-share/apps/klamav/icons/hicolor/32x32/actions/klamav.png
-share/apps/klamav/icons/locolor/16x16/actions/klamav.png
+share/apps/klamav/icons/hicolor/32x32/apps/klamav_update_required.png
+share/apps/klamav/icons/hicolor/32x32/apps/klamav_on_acc_enabled.png
+share/apps/klamav/icons/hicolor/32x32/apps/klamav_error.png
+share/apps/klamav/icons/hicolor/32x32/apps/klamav_quarantining.png
+share/apps/klamav/icons/hicolor/32x32/apps/klamav_on_acc_disabled.png
+share/apps/klamav/icons/hicolor/32x32/apps/klamav_virus.png
+share/apps/klamav/icons/hicolor/32x32/actions/klamav_scanning.png
+share/apps/klamav/icons/hicolor/32x32/actions/klamav_scan_found.png
+share/apps/klamav/icons/hicolor/32x32/actions/klamav_scan_safe.png
+share/apps/klamav/icons/hicolor/48x48/apps/klamav.png
 share/apps/klamav/about/main.html
 share/apps/klamav/about/wait.html
 share/apps/klamav/about/nodb.html
@@ -55,27 +44,14 @@
 @dirrmtry share/applnk/Utilities
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrmtry share/apps/konqueror/servicemenus
-@dirrmtry share/icons/locolor/32x32/apps
-@dirrmtry share/icons/locolor/32x32/actions
-@dirrmtry share/icons/locolor/16x16/apps
 @dirrmtry share/icons/hicolor/48x48/apps
 @dirrmtry share/icons/hicolor/32x32/apps
 @dirrmtry share/icons/hicolor/22x22/actions
 @dirrmtry share/icons/hicolor/32x32/actions
-@dirrmtry share/icons/locolor/16x16/actions
-@dirrmtry share/apps/klamav/icons/locolor/32x32/apps
 @dirrmtry share/apps/klamav/icons/hicolor/32x32/actions
 @dirrmtry share/apps/klamav/icons/hicolor/32x32/apps
-@dirrmtry share/apps/klamav/icons/hicolor/22x22/actions
-@dirrmtry share/apps/klamav/icons/locolor/32x32/actions
-@dirrmtry share/apps/klamav/icons/locolor/16x16/apps
 @dirrmtry share/apps/klamav/icons/hicolor/48x48/apps
-@dirrmtry share/apps/klamav/icons/locolor/16x16/actions
-@dirrmtry share/apps/klamav/icons/locolor/32x32
-@dirrmtry share/apps/klamav/icons/locolor/16x16
-@dirrmtry share/apps/klamav/icons/locolor
 @dirrmtry share/apps/klamav/icons/hicolor/32x32
-@dirrmtry share/apps/klamav/icons/hicolor/22x22
 @dirrmtry share/apps/klamav/icons/hicolor/48x48
 @dirrmtry share/apps/klamav/icons/hicolor
 @dirrmtry share/apps/klamav/icons
Comment 1 Max Brazhnikov freebsd_committer 2009-03-22 19:35:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 2 dfilter service freebsd_committer 2009-03-22 20:42:34 UTC
makc        2009-03-22 20:42:25 UTC

  FreeBSD ports repository

  Modified files:
    security/klamav      Makefile distinfo pkg-plist 
    security/klamav/files patch-po 
  Removed files:
    security/klamav/files patch-src_klammail_clamdmail.c 
  Log:
  Update to 0.48
  
  This release includes the following features:
  
  - Compatibility for the upcoming ClamAV 0.95
  - Add new iconset
  - Ukrainian translation
  - Many other bug fixes
  
  PR:             132902
  Submitted by:   Anderson S. Ferreira (maintainer)
  
  Revision  Changes    Path
  1.22      +2 -3      ports/security/klamav/Makefile
  1.10      +3 -3      ports/security/klamav/distinfo
  1.6       +17 -0     ports/security/klamav/files/patch-po
  1.2       +0 -11     ports/security/klamav/files/patch-src_klammail_clamdmail.c (dead)
  1.9       +11 -35    ports/security/klamav/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Max Brazhnikov freebsd_committer 2009-03-22 20:42:49 UTC
State Changed
From-To: open->closed

Committed. Thanks!